<!doctype html>
<!--
 * derniers.php
"Les derniers articles" "Les dernières pages" Jean-Denis https://adhoc.71site.fr 2023 dernière révision janvier 2024
basé sur le script pages/index.php (CMS adHoc https://www.cmsadhoc.net/ ) et le script hasard.php
Peut-être encore un peu de nettoyage ?...
Licence: GNU-GPL V3
 -->

<html lang="fr">
<head>
	<meta content="text/html; charset=utf-8" http-equiv="content-type">
	<meta name="viewport" content="width=device-width, initial-scale=1">

<title>Les dernières pages</title>
<?php
require_once("../include/config.inc");
include_once(PATH_INC."functions.inc");
include(PATH."modules/pages/inc/pages_func2.inc");
include(PGBX_DAT."cfg_pages.inc");
$idlg = USER_LANG;
$cpmenu = true;
$pboxes = safe_glob(PGBX_INC."mod_lat_pages*");

// Style skin en fonction, il est possible d'ajouter d'autres fichiers de style si nécessaire
echo
'<link type="text/css" rel="stylesheet" href="'.PATH_LNK.'skin/'.$cfgSkin.'/style.css" />';
?>
<style>
html,
body { 
background:transparent; 
}
/* et plus si des règles supplémentaires de style sont nécessaires */
</style>
</head>
<body>

<?php
// Exclusion de certaines pages et catégories si nécessaire
$pagesexclues = array("004", "005", "068"); // liste des numéros de pages à exclure sans limitation de nombre
$catinterdite = array("3", "11"); // liste "Id" catégories à exclure
// Mettre au minimum $pagesexclues = array(); $catinterdite = array(); si pas d'exclusion

// Variables à régler
$ciblelien = 'target="_blank"'; // ou _top pour ouvrir les liens en remplacement, ou... 
$nbchoix = 5; // nombre de pages choisies à l'affichage
$coum = 4; // date création : 3 ou date dernière modification : 4
// Définition des variables de langue
if (USER_LANG == 'fr') { // français
	$message3 = 'Les '.$nbchoix.' dernières créations';
	$message4 = 'Les '.$nbchoix.' dernières modifications';
}
elseif (USER_LANG == 'it') { // italien
	$message3 = 'Le ultime '.$nbchoix.' creazioni';
	$message4 = 'Le ultime '.$nbchoix.' modifiche';
}
elseif (USER_LANG == 'en') { // anglais
	$message3 = 'The last '.$nbchoix.' creations';
	$message4 = 'The last '.$nbchoix.' modifications';
}

// Styles et habillages supplémentaires éventuels à ajuster
	// titre : adapter ou remplacer par $stylesup0 = ''; pour ne rien mettre 
$stylesup0 = 'style="text-align:center;font-size: 100%;font-weight: bold;color:#A7272E;"';
	// image ou message new ou update : adapter ou remplacer par $stylesup1 = ''; pour ne rien mettre
$stylesup1 = 'style="float:none;color:#FFF;"';
	// catégorie : adapter ou remplacer par $stylesup2 = ''; pour ne rien mettre
$stylesup2 = 'style="padding-left:20px;font-size: 100%;font-weight: bold;"';
	// article : adapter ou remplacer par $stylesup3 = ''; pour ne rien mettre
$stylesup3 = 'style="padding-left:10px;font-size: 80%;font-weight: bold;"';
	// ces 2 images sont celles du dossier modules/pages/img/ ...
	// ... modifier les noms pour les vôtres, les placer dans le même dossier
$imageNew = 'nw.gif';
$imageUpdate = 'upd.gif';

for ($i=0; $i < count($pboxes); $i++) {
	include($pboxes[$i]);
	$pbxrights[$idpg_menu] = $pm_rights;
}
$cpmenu = false;
$ctlist= SelectRecsByField(ReadCSV(PGBX_DAT."list_".$idlg.DBEXT), 2, "a");
$countctlist = count($ctlist);
for ($i=0; $i < $countctlist; $i++ ) {
	if (in_array($ctlist[$i][0], $catinterdite)) {continue;} // test de l'Id de la catégorie (saute l'hypothèse si catégorie interdite)
	if (USER_LEVEL >= $pbxrights[$ctlist[$i][1]]) {
		$dbwork[] = array("*", $ctlist[$i][3]);
		$pglist = SelectRecsByField(ReadCSV(PGBX_IDX.$ctlist[$i][0].$idlg.DBEXT), 2, "a");
		$countpglist = count($pglist);
		$pgimgnwup ="";
		for ($k=0; $k < $countpglist; $k++ ) {
			if($pgset5) {
				$pgimgnwup="";
				$pastdate = PGGetPastDate($pglist[$k][5]);
			if (($pglist[$k][4] - $pastdate) > 0) $pgimgnwup =($pglist[$k][3] > $pastdate) ?  'n' : 'u';
			}
			$dbwork[] = array($pglist[$k][0], $pglist[$k][1], $ctlist[$i][3], $pgimgnwup, $pglist[$k][$coum], $pglist[$k][2]);
		}
		$pgtotitems += $countpglist; 
	}
}
if (!isset($pg_img_upd) && $pgset5) {
	if ($pgset9 == "t") {
		$pg_img_upd = '<span class="label-upd"'.$stylesup1.'>'.$msg_pub['updated'].'</span>';
		$pg_img_new = '<span class="label-new"'.$stylesup1.'>'.$msg_pub['new'].'</span>';
	} else {
		$pg_img_upd = '<img class="img-upd"'.$stylesup1.'src="'.PATH_LNK.'modules/pages/img/'.$imageUpdate.'" alt="up" title="Updated"/>';
		$pg_img_new = '<img class="img-new"'.$stylesup1.'src="'.PATH_LNK.'modules/pages/img/'.$imageNew.'" alt="new" title="New"/>';
	}
}

$count = count($dbwork); // nombre d'articles/pages

if ($coum == 3) { // affichage du titre
	echo "<h3 ".$stylesup0.">".$message3."</h3>";
}
else {
	echo "<h3 ".$stylesup0.">".$message4."</h3>";
} // supprimer ou mettre en commentaire ces 6 lignes si vous ne souhaitez pas de titre

$pageschoisies = array(); // initialisation variable tableau avant boucle $i
for ($k=0; $k < $nbchoix; $k++) {
	$pageschoisies[$k] = '';
}

for ($i=0; $i < $nbchoix; $i++) {
	$datetop = ''; // initialisations variables avant boucle $j
	$top = 0;

	for ($j=0; $j < $count; $j++ ) {
		if ($dbwork[$j][0] == "*" || in_array($dbwork[$j][0], $pagesexclues) || in_array($dbwork[$j][0], $pageschoisies) || $dbwork[$j][5] == 'i') {
			continue ; // saute l'affichage de ces hypothèses
			}
	if ($dbwork[$j][4] > $datetop) { $datetop = $dbwork[$j][4]; $top = $j; $pageschoisies[$i] = $dbwork[$j][0];}
	}

echo "<p ".$stylesup2.">".$dbwork[$top][2]."</p>\n";
echo "<p ".$stylesup3."><a href=\"".$dbwork[$top][0].FixUrl(PG_SEP.$dbwork[$top][2].PG_SEP.$dbwork[$top][1].PG_SEP).$idlg.PG_EXT."\" ".$ciblelien." >".$dbwork[$top][1]."</a>";
if ($dbwork[$top][3] == "u") echo $pg_img_upd;
if ($dbwork[$top][3] == "n") echo $pg_img_new;
echo "</p>\n";

}
?>
</body>
</html>
